
**Background**: Health literacy depends on diverse aspects of skills in processing information. To adequately understand medical reports, treatments and study results a set of abilities is needed, including understanding graphs properly. Especially for those advising and informing people with less health and graph literacy, it is important to achieve high competence in graph literacy themselves.  When providing information to patients graph literacy is a form of semiotic activity that is a crucial component of overall literacy for (future) medical doctors. 

**Methods**: A cross-sectional study was performed with medical students in their academic years 1, 2, 3, 4 and 5 at the medical school of the University of Muenster, Germany. We did measure outcome using the “Graph Literacy Scale” (Galesic and Garcia-Retamero, 2011). This test measures the graph literacy, meaning to read and interpret graphical provided information.

**Results**: The first major finding of our study is that medical students showed above average test results in the “Graph Literacy Scale” in terms of their graph literacy compared to a German standard population. Although the students had an excellent overall performance, there was one question (question 11) achieving poor results with an better performance in higher academic years but still a ceiling effect on a low level with a maximum of 57,6% correct answers. 

**Conclusion**: Although abilities in reading the data and between the data are high in our cohorts, abilities to read beyond the data are inconsistent. This leads to implications for training of medical students and need of further research in this domain.